#!/usr/bin/python
# Written by D Walker August 2019

import tkinter as tk
from tkinter import *
from tkinter.ttk import *
#from tkinter import ttk
import serial
import time


port = serial.Serial("/dev/ttyAMA0", baudrate=31250, writeTimeout=0, timeout=2.0)


#   Send message

def A0_on(info):
    port.write(b'\x90\x15\x3F')
    return

def A0_off(info):
    port.write(b'\x80\x15\x3F')
    return

def A1_on(info):
    port.write(b'\x90\x21\x3F')
    return

def A1_off(info):
    port.write(b'\x80\x21\x3F')
    return

def A2_on(info):
    port.write(b'\x90\x2D\x3F')
    return

def A2_off(info):
    port.write(b'\x80\x2D\x3F')
    return

def A3_on(info):
    port.write(b'\x90\x39\x3F')
    return

def A3_off(info):
    port.write(b'\x80\x39\x3F')
    return

def C3_on(info):
    port.write(b'\x90\x3C\x3F')
    return

def C3_off(info):
    port.write(b'\x80\x3C\x3F')
    return

def A4_on(info):
    port.write(b'\x90\x45\x3F')
    return

def A4_off(info):
    port.write(b'\x80\x45\x3F')
    return

def A5_on(info):
    port.write(b'\x90\x51\x3F')
    return

def A5_off(info):
    port.write(b'\x80\x51\x3F')
    return

def A6_on(info):
    port.write(b'\x90\x5D\x3F')
    return

def A6_off(info):
    port.write(b'\x80\x5D\x3F')
    return

def A7_on(info):
    port.write(b'\x90\x69\x3F')
    return

def A7_off(info):
    port.write(b'\x80\x69\x3F')
    return

def A8_on(info):
    port.write(b'\x90\x75\x3F')
    return

def A8_off(info):
    port.write(b'\x80\x75\x3F')
    return

def A9_on(info):
    port.write(b'\x90\x81\x3F')
    return

def A9_off(info):
    port.write(b'\x80\x81\x3F')
    return

def A10_on(info):
    port.write(b'\x90\x8D\x3F')
    return

def A10_off(info):
    port.write(b'\x80\x8D\x3F')
    return

root = Tk()
root.title("MIDIMISO CV12 Calibration")



# Defining buttons

A0_on_off = tk.Button(root, width=4, text="A0")
A0_on_off.bind('<ButtonPress-1>', A0_on)
A0_on_off.bind('<ButtonRelease-1>', A0_off)

A1_on_off = tk.Button(root, width=4, text="A1")
A1_on_off.bind('<ButtonPress-1>', A1_on)
A1_on_off.bind('<ButtonRelease-1>', A1_off)

A2_on_off = tk.Button(root, width=4, text="A2")
A2_on_off.bind('<ButtonPress-1>', A2_on)
A2_on_off.bind('<ButtonRelease-1>', A2_off)

A3_on_off = tk.Button(root, width=4, text="A3")
A3_on_off.bind('<ButtonPress-1>', A3_on)
A3_on_off.bind('<ButtonRelease-1>', A3_off)

C3_on_off = tk.Button(root, width=4, text="C3")
C3_on_off.bind('<ButtonPress-1>', C3_on)
C3_on_off.bind('<ButtonRelease-1>', C3_off)

A4_on_off = tk.Button(root, width=4, text="A4")
A4_on_off.bind('<ButtonPress-1>', A4_on)
A4_on_off.bind('<ButtonRelease-1>', A4_off)

A5_on_off = tk.Button(root, width=4, text="A5")
A5_on_off.bind('<ButtonPress-1>', A5_on)
A5_on_off.bind('<ButtonRelease-1>', A5_off)

A6_on_off = tk.Button(root, width=4, text="A6")
A6_on_off.bind('<ButtonPress-1>', A6_on)
A6_on_off.bind('<ButtonRelease-1>', A6_off)

A7_on_off = tk.Button(root, width=4, text="A7")
A7_on_off.bind('<ButtonPress-1>', A7_on)
A7_on_off.bind('<ButtonRelease-1>', A7_off)

A8_on_off = tk.Button(root, width=4, text="A8")
A8_on_off.bind('<ButtonPress-1>', A8_on)
A8_on_off.bind('<ButtonRelease-1>', A8_off)

A9_on_off = tk.Button(root, width=4, text="A9")
A9_on_off.bind('<ButtonPress-1>', A9_on)
A9_on_off.bind('<ButtonRelease-1>', A9_off)

A10_on_off = tk.Button(root, width=4, text="A10")
A10_on_off.bind('<ButtonPress-1>', A10_on)
A10_on_off.bind('<ButtonRelease-1>', A10_off)



A0_on_off.grid(column=6, row=2, columnspan=4)
A1_on_off.grid(column=10, row=2, columnspan=4)
A2_on_off.grid(column=14, row=2, columnspan=4)
A3_on_off.grid(column=18, row=2, columnspan=4)
C3_on_off.grid(column=22, row=2, columnspan=4)
A4_on_off.grid(column=26, row=2, columnspan=4)
A5_on_off.grid(column=30, row=2, columnspan=4)
A6_on_off.grid(column=34, row=2, columnspan=4)
A7_on_off.grid(column=38, row=2, columnspan=4)
A8_on_off.grid(column=42, row=2, columnspan=4)
A9_on_off.grid(column=46, row=2, columnspan=4)
A10_on_off.grid(column=50, row=2, columnspan=4)

# Author and spaceing
space = Label(root, text=" ")
space.grid(column=2, row=0, columnspan=52)
space1 = Label(root, text="Press for Pitch change (Note on) / Release for Gate off (Note off)")
space1.grid(column=2, row=1, columnspan=52)
nameCopy2 = Label(root, text="D Walker (bygonebytes.co.uk) 2019")
nameCopy2.grid(column=2, row=6, columnspan=52)

root.mainloop()

